> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get raw response GET https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/app_installations/{app_installation_id}/actions/{app_action_id}/calls/{call_id}/response Reference: https://contentful.com/developers/docs/references/content-management-api/app-action-calls/get-raw-response ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — space_id identifier - `environment_id` (string, required) — environment_id identifier - `app_installation_id` (string, required) — app_installation_id identifier - `app_action_id` (string, required) — app_action_id identifier - `call_id` (string, required) — call_id identifier ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "response": { "body": "", "headers": {}, "method": "", "statusCode": 0, "url": "" } } ``` **SDK Code** ```android Android SDK currently doesn't implement this endpoint. ``` ```java Java SDK currently doesn't implement this endpoint. ``` ```kotlin Kotlin SDK currently doesn't implement this endpoint. ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client .getSpace('') .then((space) => space.getEnvironment('')) .then((environment) => environment.getAppActionCallResponse('', '', '')) .then((raw) => console.log(raw.response.body)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const raw = await client.appActionCall.getResponse({ spaceId: '', environmentId: '', appDefinitionId: '', appActionId: '', callId: '', }) console.log(raw.response.body) ``` ```php PHP SDK currently doesn't implement this endpoint. ``` ```ruby Ruby SDK currently doesn't implement this endpoint. ``` ```python Python SDK currently doesn't implement this endpoint. ``` ```.net .NET SDK currently doesn't implement this endpoint. ```